Subject: Re: What's cooking in git.git (Jan 2025, #06; Wed, 22)

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 24 Jan 2025 07:07:05 +0100

On Wed, Jan 22, 2025 at 02:48:43PM -0800, Junio C Hamano wrote:
> * kn/pack-write-with-reduced-globals (2025-01-21) 5 commits
>  - pack-write: pass hash_algo to internal functions
>  - pack-write: pass hash_algo to `write_rev_file()`
>  - pack-write: pass hash_algo to `write_idx_file()`
>  - pack-write: pass repository to `index_pack_lockfile()`
>  - pack-write: pass hash_algo to `fixup_pack_header_footer()`
> 
>  Code clean-up.
> 
>  Well merge to 'next'?
>  source: <[email-masked]>

This one is ready from my perspective.

> * bf/fetch-set-head-fix (2025-01-13) 1 commit
>  - fetch set_head: fix non-mirror remotes in bare repositories
> 
>  Fetching into a bare repository incorrectly assumed it always used
>  a mirror layout when deciding to update remote-tracking HEAD, which
>  has been corrected.
> 
>  Needs review.
>  source: <[email-masked]>

I've left a review.

> * ps/build-meson-fixes (2025-01-22) 12 commits
>  - ci: wire up Visual Studio build with Meson
>  - ci: raise error when Meson generates warnings
>  - meson: fix compilation with Visual Studio
>  - meson: make the CSPRNG backend configurable
>  - meson: wire up fuzzers
>  - meson: wire up generation of distribution archive
>  - meson: wire up development environments
>  - meson: fix dependencies for generated headers
>  - meson: populate project version via GIT-VERSION-GEN
>  - GIT-VERSION-GEN: allow running without input and output files
>  - GIT-VERSION-GEN: simplify computing the dirty marker
>  - Merge branch 'ps/meson-weak-sha1-build' into ps/build-meson-fixes
>  (this branch is used by ps/zlib-ng.)
> 
>  More build fixes and enhancements on meson based build procedure.
> 
>  Will merge to 'next'?
>  source: <[email-masked]>

Ready from my perspective.

> * ps/ci-misc-updates (2025-01-10) 10 commits
>  - ci: remove stale code for Azure Pipelines
>  - ci: use latest Ubuntu release
>  - ci: stop special-casing for Ubuntu 16.04
>  - gitlab-ci: add linux32 job testing against i386
>  - gitlab-ci: remove the "linux-old" job
>  - github: simplify computation of the job's distro
>  - github: convert all Linux jobs to be containerized
>  - github: adapt containerized jobs to be rootless
>  - t7422: fix flaky test caused by buffered stdout
>  - t0060: fix EBUSY in MinGW when setting up runtime prefix
> 
>  CI updates (containerization, dropping stale ones, etc.).
>  source: <[email-masked]>

This series was approved by Peff, but other than that it didn't get much
feedback indeed. I'll rope in some additional reviewers.

> * sk/strlen-returns-size_t (2024-12-26) 1 commit
>  - date.c: Fix type missmatch warings from msvc
> 
>  Code clean-up.
> 
>  The remainder needs to be reviewed.
>  source: <[email-masked]>

This one seems stale to me, as there's been a v2 with [1]. It was sent
in a separate thread though, so that probably explains why. In any case,
the series got reviews already and needs a reroll.

[1]: <[email-masked]>

> * jc/show-index-h-update (2024-12-20) 1 commit
>  - show-index: the short help should say the command reads from its input
> 
>  Doc and short-help text for "show-index" has been clarified to
>  stress that the command reads its data from the standard input.
> 
>  Comments?
>  source: <[email-masked]>

This series looks good to me.

> * ps/3.0-remote-deprecation (2025-01-22) 7 commits
>  - SQUASH???
>  - remote: announce removal of "branches/" and "remotes/"
>  - builtin/pack-redundant: remove subcommand with breaking changes
>  - ci: repurpose "linux-gcc" job for deprecations
>  - ci: merge linux-gcc-default into linux-gcc
>  - Makefile: wire up build option for deprecated features
>  - Merge branch 'ps/build' into ps/3.0-remote-deprecation
> 
>  Following the procedure we established to introduce breaking
>  changes for Git 3.0, allow an early opt-in for removing support of
>  $GIT_DIR/branches/ and $GIT_DIR/remotes/ directories to configure
>  remotes.
> 
>  Will merge to 'next'?
>  source: <[email-masked]>

The squash-commit on top of the series looks good to me, so I think this
should be ready.

> * ps/send-pack-unhide-error-in-atomic-push (2024-11-14) 2 commits
>  - transport: don't ignore git-receive-pack(1) exit code on atomic push
>  - t5504: modernize test by moving heredocs into test bodies
> 
>  "git push --atomic --porcelain" used to ignore failures from the
>  other side, losing the error status from the child process, which
>  has been corrected.
> 
>  Needs to see if competing parallel topic needs to replace this one.
>  source: <[email-masked]>

I think v3 sent by Jiang Xin looks like a reasonable alternative to my
fix, but it needs some fixups. I'll maybe wait one more week for them to
reroll the series, and if that doesn't happen I might adopt their
patches and do the fixups by myself.

Patrick